Dont install FD 3.1 for haxe projects

classic Classic list List threaded Threaded
14 messages Options
Reply | Threaded
Open this post in threaded view
|

Dont install FD 3.1 for haxe projects

Roberto Ferrer
I´m getting a lot of errors with Flash Develop 3.1 RTM, always with the
autocompletion. I copied the HaxeContext plugin but anyway the problem
continues, I´m rolling back to Flash Develop 3.0.6, absolutely  I don´t
recommend FD 3.1 for haxe development.

Regards.

--
haXe - an open source web programming language
http://haxe.org
Reply | Threaded
Open this post in threaded view
|

RE: Dont install FD 3.1 for haxe projects

Kastellanos Nikos-2
Is it possible to install 3.1 side by side with 3.0.6 ?
(so we can report any issues regarding HaXe projects)

The new FD features sounds compelling.
I sure going to install it on my laptop this Weekend.






-----Original Message-----
From: [hidden email]
[mailto:[hidden email]] On Behalf Of "Ing. Roberto
Ferrer Obregon"
Sent: Friday, April 23, 2010 10:46 AM
To: [hidden email]
Subject: [haXe] Dont install FD 3.1 for haxe projects

I´m getting a lot of errors with Flash Develop 3.1 RTM, always with the
autocompletion. I copied the HaxeContext plugin but anyway the problem
continues, I´m rolling back to Flash Develop 3.0.6, absolutely  I don´t
recommend FD 3.1 for haxe development.

Regards.

--
haXe - an open source web programming language
http://haxe.org


--
haXe - an open source web programming language
http://haxe.org
Reply | Threaded
Open this post in threaded view
|

Re: Dont install FD 3.1 for haxe projects

Achmad Aulia Noorhakim
In reply to this post by Roberto Ferrer
IIRC you can, CMIIW, just Install 3.1 RTM, with "Standalone" option turned on

On Fri, Apr 23, 2010 at 2:58 PM, Kastellanos Nikos <[hidden email]> wrote:
Is it possible to install 3.1 side by side with 3.0.6 ?
(so we can report any issues regarding HaXe projects)

The new FD features sounds compelling.
I sure going to install it on my laptop this Weekend.






-----Original Message-----
From: [hidden email]
[mailto:[hidden email]] On Behalf Of "Ing. Roberto
Ferrer Obregon"
Sent: Friday, April 23, 2010 10:46 AM
To: [hidden email]
Subject: [haXe] Dont install FD 3.1 for haxe projects

I´m getting a lot of errors with Flash Develop 3.1 RTM, always with the
autocompletion. I copied the HaxeContext plugin but anyway the problem
continues, I´m rolling back to Flash Develop 3.0.6, absolutely  I don´t
recommend FD 3.1 for haxe development.

Regards.

--
haXe - an open source web programming language
http://haxe.org


--
haXe - an open source web programming language
http://haxe.org


--
haXe - an open source web programming language
http://haxe.org
Reply | Threaded
Open this post in threaded view
|

Re: Dont install FD 3.1 for haxe projects

Franco Ponticelli
In reply to this post by Roberto Ferrer
I've installed 3.1 and the plugins for debugger/profiler and I am not experiencing any issue at all ... on the contrary I find it amazing!

Franco.

On Fri, Apr 23, 2010 at 8:46 AM, "Ing. Roberto Ferrer Obregón" <[hidden email]> wrote:
I惴 getting a lot of errors with Flash Develop 3.1 RTM, always with the autocompletion. I copied the HaxeContext plugin but anyway the problem continues, I惴 rolling back to Flash Develop 3.0.6, absolutely  I don愒 recommend FD 3.1 for haxe development.

Regards.

--
haXe - an open source web programming language
http://haxe.org


--
haXe - an open source web programming language
http://haxe.org
Reply | Threaded
Open this post in threaded view
|

Re: Dont install FD 3.1 for haxe projects

John Plsek
Whenever there's errors in compile, I get

Object reference not set to an instance of an object.

   at ResultsPanel.PluginUI.AddSquiggle(ListViewItem item)
   at ResultsPanel.PluginUI.AddLogEntries()
   at ResultsPanel.PluginMain.HandleEvent(Object sender, NotifyEvent e, HandlingPriority prority)
   at PluginCore.Managers.EventManager.DispatchEvent(Object sender, NotifyEvent e)

in an annoying pop up window - if I hit exit on that by mistake, flashdevelop quits ... pretty damn annyoing

Fixed the completion issues by compiling the damn thing from source

Regards

On 23 April 2010 18:36, Franco Ponticelli <[hidden email]> wrote:
I've installed 3.1 and the plugins for debugger/profiler and I am not experiencing any issue at all ... on the contrary I find it amazing!

Franco.


On Fri, Apr 23, 2010 at 8:46 AM, "Ing. Roberto Ferrer Obregón" <[hidden email]> wrote:
I惴 getting a lot of errors with Flash Develop 3.1 RTM, always with the autocompletion. I copied the HaxeContext plugin but anyway the problem continues, I惴 rolling back to Flash Develop 3.0.6, absolutely  I don愒 recommend FD 3.1 for haxe development.

Regards.

--
haXe - an open source web programming language
http://haxe.org


--
haXe - an open source web programming language
http://haxe.org



--
Coming soon - BravoStudio, a complete internet radio/tv solution

--
haXe - an open source web programming language
http://haxe.org
Reply | Threaded
Open this post in threaded view
|

Re: Dont install FD 3.1 for haxe projects

wvxvw
In reply to this post by Roberto Ferrer
John, could you maybe post the patch then?
Thanks.

--
haXe - an open source web programming language
http://haxe.org
Reply | Threaded
Open this post in threaded view
|

Re: Dont install FD 3.1 for haxe projects

John Plsek
No patch - just compiled what was there!

On 23 April 2010 20:17, Oleg Sivokon <[hidden email]> wrote:
John, could you maybe post the patch then?
Thanks.

--
haXe - an open source web programming language
http://haxe.org



--
Coming soon - BravoStudio, a complete internet radio/tv solution

--
haXe - an open source web programming language
http://haxe.org
Reply | Threaded
Open this post in threaded view
|

Re: Dont install FD 3.1 for haxe projects

slenkar
compiled flashdevelop from source? or Haxe?

hopefully a new official release will be made soon
Reply | Threaded
Open this post in threaded view
|

Re: Dont install FD 3.1 for haxe projects

John Plsek
flashdevelop - sorry I wasn't clear on that

On 24 April 2010 01:04, slenkar <[hidden email]> wrote:

compiled flashdevelop from source? or Haxe?

hopefully a new official release will be made soon
--
View this message in context: http://haxe.1354130.n2.nabble.com/Dont-install-FD-3-1-for-haxe-projects-tp4948733p4950979.html
Sent from the Haxe mailing list archive at Nabble.com.

--
haXe - an open source web programming language
http://haxe.org



--
Coming soon - BravoStudio, a complete internet radio/tv solution

--
haXe - an open source web programming language
http://haxe.org
Reply | Threaded
Open this post in threaded view
|

Re: Dont install FD 3.1 for haxe projects

Jake Lewis
In reply to this post by Franco Ponticelli
Hi Franco,
Where are the plugins for the profiler and particularly the debugger for haXe?
All I see is some references to discontinued debugger projects in the 3rd party plugins.

Jake



On Fri, Apr 23, 2010 at 4:36 AM, Franco Ponticelli <[hidden email]> wrote:
I've installed 3.1 and the plugins for debugger/profiler and I am not experiencing any issue at all ... on the contrary I find it amazing!

Franco.


On Fri, Apr 23, 2010 at 8:46 AM, "Ing. Roberto Ferrer Obregón" <[hidden email]> wrote:
I惴 getting a lot of errors with Flash Develop 3.1 RTM, always with the autocompletion. I copied the HaxeContext plugin but anyway the problem continues, I惴 rolling back to Flash Develop 3.0.6, absolutely  I don愒 recommend FD 3.1 for haxe development.

Regards.

--
haXe - an open source web programming language
http://haxe.org


--
haXe - an open source web programming language
http://haxe.org


--
haXe - an open source web programming language
http://haxe.org
Reply | Threaded
Open this post in threaded view
|

Re: Dont install FD 3.1 for haxe projects

Franco Ponticelli
They are in the same page of the last RTM download: http://www.flashdevelop.org/community/viewtopic.php?f=11&t=6415

They are great ;)

Franco.

On Fri, Apr 23, 2010 at 11:20 PM, Jake Lewis <[hidden email]> wrote:
Hi Franco,
Where are the plugins for the profiler and particularly the debugger for haXe?
All I see is some references to discontinued debugger projects in the 3rd party plugins.

Jake



On Fri, Apr 23, 2010 at 4:36 AM, Franco Ponticelli <[hidden email]> wrote:
I've installed 3.1 and the plugins for debugger/profiler and I am not experiencing any issue at all ... on the contrary I find it amazing!

Franco.


On Fri, Apr 23, 2010 at 8:46 AM, "Ing. Roberto Ferrer Obregón" <[hidden email]> wrote:
I惴 getting a lot of errors with Flash Develop 3.1 RTM, always with the autocompletion. I copied the HaxeContext plugin but anyway the problem continues, I惴 rolling back to Flash Develop 3.0.6, absolutely  I don愒 recommend FD 3.1 for haxe development.

Regards.

--
haXe - an open source web programming language
http://haxe.org


--

haXe - an open source web programming language
http://haxe.org


--
haXe - an open source web programming language
http://haxe.org


--
haXe - an open source web programming language
http://haxe.org
Reply | Threaded
Open this post in threaded view
|

Re: Dont install FD 3.1 for haxe projects

François Rey
In reply to this post by John Plsek
I'm also experiencing this bug, it's discussed there:
http://www.flashdevelop.org/community/viewtopic.php?f=6&t=6417&start=0
Can anyone provide more details on their case, e.g. compilation output,
whether you use ant, etc.

--
haXe - an open source web programming language
http://haxe.org
Reply | Threaded
Open this post in threaded view
|

Re: Dont install FD 3.1 for haxe projects

François Rey
On Saturday 24 April 2010 18:58:05 François Rey wrote:
> I'm also experiencing this bug, it's discussed there:
> http://www.flashdevelop.org/community/viewtopic.php?f=6&t=6417&start=0
> Can anyone provide more details on their case, e.g. compilation output,
> whether you use ant, etc.

After debugging I found the issue and a workaround:
Make sure the first editor tab is a source file and not a tab with no language
associated to it, such as the Start Page.

Don't know how to fix this issue, the workaround is enough for me to get
going.
More details there:
http://www.flashdevelop.org/community/viewtopic.php?f=6&t=6417&start=0

--
haXe - an open source web programming language
http://haxe.org
Reply | Threaded
Open this post in threaded view
|

Re: Dont install FD 3.1 for haxe projects

François Rey
This should be fixed in svn (r1021)

--
haXe - an open source web programming language
http://haxe.org